Subject: bug#9340: 24.0.50; bidi-mode: Void Function bidi-string-mark-left-to-right

From: "Tim Cross" <[email-masked]>
Date: Mon, 22 Aug 2011 17:08:18 +1000

Eli Zaretskii writes:
 > > From: Tim Cross <[email-masked]>
 > > Date: Mon, 22 Aug 2011 11:02:10 +1000
 > > 
 > > 
 > > When trying to exit emacs and having some processes still running so
 > > that you get the prompt to kill processes and exit, the following
 > > error occurs and you cannot exit emacs cleanly unless you first kill
 > > all running processes. 
 > > 
 > > Error void-function bidi-string-mark-left-to-right
 > 
 > bidi-string-mark-left-to-right is defined in subr.el.  Could it be
 > that you didn't byte-compile it, or have some stale .elc file
 > somewhere on load-path?

Don't think so. The timestamp of subr.el is before subr.elc in both the build
directory and install directory. Nothing shows up in list-load-path-shadows. I
also did a make distclean prior to pulling from bzr and make bootstrap after
configure

 > 
 > What does "C-h f" say about that function in "emacs -Q"?

Nothing, not defined cannot find it. However, if I do a load-file with the path
to /usr/local/share/emacs/24.0.50/lisp/subr.elc, then I can get 

bidi-string-mark-left-to-right is a compiled Lisp function in `subr.el'.

(bidi-string-mark-left-to-right STR)

Return a string that can be safely inserted in left-to-right text.

Normally, inserting a string with right-to-left (RTL) script into
a buffer may cause some subsequent text to be displayed as part
of the RTL segment (usually this affects punctuation characters).
This function returns a string which displays as STR but forces
subsequent text to be displayed as left-to-right.

If STR contains any RTL character, this function returns a string
consisting of STR followed by an invisible left-to-right mark
(LRM) character.  Otherwise, it returns STR.

[back]

Seems very odd - I would have expected all sorts of other problems if subr.el
was not being loaded. I will try a fresh pull and build tomorrow. 

Tim

-- 
Tim Cross
Information Technology 
University of New England
 Phone: +61 2 6773 3210
Mobile: 0428 212217
   Fax: +61 2 6773 3424
E-Mail: [email-masked]
   Web: http://www.une.edu.au/itd
---
Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html

Any fool can make things bigger, more complex, and more violent. It takes a
touch of genius (and a lot of courage) to move in the opposite direction.
                                                           —Albert Einstein